from eventAPI import getTag, showPicture, optionInput, giveItems, setTag
from SDLKeys import SDLK_t, SDLK_w, SDLK_SPACE

def fireEvent(eventPtr):
    lFlagU = getTag(e, "lFlagU")
    if (lFlagU == 1):
        return 1
    choice = optionInput(e,
                         ["You stumble upon a pack...",
                          "After close inspection it seems to contain some",
                          "rather curious looking blood red vials."],
                         ["(T)ake the vials", "(W)alk away"],
                         [SDLK_t, SDLK_w])
    if (choice == SDLK_t):
        optionInput(e,
                    ["You take the vials and move away as to not draw attention."],
                    ["(SPACE) to Continue"],
                    [SDLK_SPACE])
        giveItems(e, ["Unknown Vial (Red)", "Unknown Vial (Red)", "Unknown Vial (Red)"])
        setTag(e, "lFlagU", 1)
    return 1
